Package Details: aircrack-ng-svn 20170911.2917-1

Git Clone URL: https://aur.archlinux.org/aircrack-ng-svn.git (read-only)
Package Base: aircrack-ng-svn
Description: Key cracker for the 802.11 WEP and WPA-PSK protocols
Upstream URL: http://www.aircrack-ng.org/
Licenses: GPL2
Conflicts: aircrack-ng
Provides: aircrack-ng
Submitter: nofxx
Maintainer: vesath
Last Packager: vesath
Votes: 120
Popularity: 0.831921
First Submitted: 2008-01-18 03:46
Last Updated: 2017-10-04 07:06

Required by (10)

Sources (1)

Latest Comments

vesath commented on 2017-10-09 18:07

Works just fine for me. And since I do not speak Italian and Yaourt is an unsupported tool, there is nothing I can do to help.

simona commented on 2017-10-09 10:39

==> Avvio di pkgver() in corso...
/tmp/yaourt-tmp-simona/aur-aircrack-ng-svn/./PKGBUILD: riga 25: errore di sintassi vicino al token non atteso "("
/tmp/yaourt-tmp-simona/aur-aircrack-ng-svn/./PKGBUILD: riga 25: ` svn info | awk '/Revision/{r=$2}/Date/{gsub(/-/,"");d=$4}END{print d"."r}''
==> ERRORE: Impossibile trovare i sorgenti di /tmp/yaourt-tmp-simona/aur-aircrack-ng-svn/./PKGBUILD
==> ERRORE: Makepkg non è riuscito a compilare aircrack-ng-svn.

vesath commented on 2017-10-04 07:05

Right. This option used to be called unstable and was enabled in the PKGBUILD; I've updated it to the new naming.

codyps commented on 2017-10-04 03:11

This needs `experimental=true` added so that besside-ng and others are built & installed.

Emil commented on 2015-08-10 20:29

Hi, I get this error while trying to build:
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
-> Cloning aircrack-ng svn repo...
svn: warning: cannot set LC_CTYPE locale
svn: warning: environment variable LANG is en_BE.UTF-8
svn: warning: please check that your locale name is correct
svn: E000111: Unable to connect to a repository at URL 'http://svn.aircrack-ng.org/trunk'
svn: E000111: Error running context: Connection refused
==> ERROR: Failure while downloading aircrack-ng svn repo
Aborting...

intelfx commented on 2013-10-23 03:42

These are the guidelines:

https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines

vesath commented on 2013-10-23 01:02

Alright, I'll use `svn info | awk '/Revision/{r=$2}/Date/{gsub(/-/,"");d=$4}END{print d"."r}'`.

vesath commented on 2013-10-23 00:53

I am not aware of any guidelines. We could drop the date but what I'd like to do is, as I already do for git packages, use the date of the last commit (instead of the build date). I'll see if I can figure out how to do that easily in SVN and use your suggestion otherwise.

intelfx commented on 2013-10-21 13:38

Maybe pkgver() can be changed to use only `svnversion` and epoch=1? It's pretty annoying to rebuild the package every day... After all, guidelines say so :)

Anonymous comment on 2013-07-20 02:08

not sure what it is, but i couldn't connect to the svn to complete the build, but downloaded the 1.2 beta and built from source, using aur would have been so much smoother lol

All comments